<?

/*
作用：取得文件后缀名
GetFileType
用法：GetFiletype($filename)
*/

function GetFileType($filename) {

    if (substr_count($filename, ".") == 0) {        // 检查文件名中是否有.号。

        return;                // 返回空

    } else if (substr($filename, -1) == ".") {        // 检查是否以.结尾，即无扩展名

        return;                // 返回空

    } else {
        $filetype = strrchr ($filename, ".");    // 从.号处切割
        $filetype = substr($filetype, 1);    // 去除.号
        $filetype = strtolower($filetype);    //把扩展名转换成小写字母
        return $filetype;            // 返回
    }
}

/*
作用： 文件格式检查－－论坛附件允许的格式
validate_format
用法：validate_format($file_type)
返回：true
*/
function validate_format($file_type) {
           $types = array('gif','jpg','jpeg');
       $file_type = strtolower($file_type);
        reset($types);
        while(list($var, $key) = each($types))
        {
            if (strtolower($key) == $file_type)
                return true;
        }
                reset($types);
        return false;
}
?>